### Method

# RB RhythmDBQueryModel chain

#### Declaration [src]

    void
    rhythmdb_query_model_chain (
      RhythmDBQueryModel* model,
      RhythmDBQueryModel* base,
      gboolean import_entries
    )

#### Description [src]

Chains `model` to `base`. All changes made to the base model will be reflected in the child model, and all changes made to the child model will be passed on to the base model.

#### Parameters

`base`

  Type: `RhythmDBQueryModel`

  The `RhythmDBQueryModel` to chain it to.

  The data is owned by the caller of the method.

`import_entries`

  Type: `gboolean`

  If `TRUE`, copy all existing entries from `base` to `model`.